Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc.optionfile
Class JavadocOptionFileWriterContext

    java.lang.Object
      org.gradle.external.javadoc.optionfile.JavadocOptionFileWriterContext

    class JavadocOptionFileWriterContext

author:
  Tom Eyckmans

Constructor Summary
`JavadocOptionFileWriterContext(BufferedWriter writer)`

Method Summary
`JavadocOptionFileWriterContext` | `newLine()`
`JavadocOptionFileWriterContext` | `write(java.lang.String string)`
`JavadocOptionFileWriterContext` | `writeMultilineValuesOption(java.lang.String option, Collection values)`
`JavadocOptionFileWriterContext` | `writeOption(java.lang.String option)`
`JavadocOptionFileWriterContext` | `writeOptionHeader(java.lang.String option)`
`JavadocOptionFileWriterContext` | `writePathOption(java.lang.String option, Collection files, java.lang.String joinValuesBy)`
`JavadocOptionFileWriterContext` | `writeValue(java.lang.String value)`
`JavadocOptionFileWriterContext` | `writeValueOption(java.lang.String option, java.lang.String value)`
`JavadocOptionFileWriterContext` | `writeValueOption(java.lang.String option, Collection values)`
`JavadocOptionFileWriterContext` | `writeValuesOption(java.lang.String option, Collection values, java.lang.String joinValuesBy)`

Methods inherited from class java.lang.Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### JavadocOptionFileWriterContext

    public JavadocOptionFileWriterContext(BufferedWriter writer)

Method Detail

### newLine

    public JavadocOptionFileWriterContext newLine()

### write

    public JavadocOptionFileWriterContext write(java.lang.String string)

### writeMultilineValuesOption

    public JavadocOptionFileWriterContext writeMultilineValuesOption(java.lang.String option, Collection values)

### writeOption

    public JavadocOptionFileWriterContext writeOption(java.lang.String option)

### writeOptionHeader

    public JavadocOptionFileWriterContext writeOptionHeader(java.lang.String option)

### writePathOption

    public JavadocOptionFileWriterContext writePathOption(java.lang.String option, Collection files, java.lang.String joinValuesBy)

### writeValue

    public JavadocOptionFileWriterContext writeValue(java.lang.String value)

### writeValueOption

    public JavadocOptionFileWriterContext writeValueOption(java.lang.String option, java.lang.String value)

### writeValueOption

    public JavadocOptionFileWriterContext writeValueOption(java.lang.String option, Collection values)

### writeValuesOption

    public JavadocOptionFileWriterContext writeValuesOption(java.lang.String option, Collection values, java.lang.String joinValuesBy)

Groovy Documentation